Subject: bug#27191: 26.0.50; Long history items in minibuffer (again)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Aug 2020 16:38:02 +0200

Stephen Berman <[email-masked]> writes:

> 0. emacs -Q
> 1. C-x C-f
> ~/foo/bar/very/long/file/name/that/overflows/minibuffer/window/line/when/displayed
> <RET>
> 2. C-x C-f <up>
> => The file name entered in step 1 appears in the minibuffer, with point
>    on the "w" of "when" (i.e., column 80, the end of the visual line).
>
> If at step 2 instead of <up> you type `M-p', then point is at the end of
> the file name in the minibuffer.  This is what I expected for <up> too.

Yes, that's really confusing.  I do get a different result than you,
though -- point is placed inside the "Find file" prompt when I hit
<up>.  :-/  That's even worse.

> 2017-06-01  Stephen Berman  <[email-masked]>
>
> 	Improve navigation through minibuffer history
>
> 	* lisp/simple.el (previous-line-or-history-element): If the
> 	element extends beyond window-width, go to its logical end,
> 	since that is the natural target for editing history elements.
> 	If it consists of a single line, move by logical lines to hit
> 	beginning-of-buffer immediately and get the previous history
> 	element.  Otherwise, move by visual lines.
>

Your change makes sense, I think, but when I tried applying the two
patches, they no longer applied to Emacs 28, so I couldn't give it a
try.  Could you possibly respin the patches?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no